Create Fallback Shipping Method
Creates a new fallback shipping method for the merchant.
Creates a method. If handle is omitted it is generated from the label; if supplied it must be unique for the merchant (otherwise 409). label, price, and currency are required.
The name of the shipping method.
Description of the shipping method.
The price of the shipping method in cents.
The currency of the shipping method.
The handle or external ID to use when utilizing this method.
Whether the price is calculated per the entire order or per item.
The created fallback shipping method, including its handle.
The name of the shipping method.
Description of the shipping method.
The price of the shipping method in cents.
The currency of the shipping method.
The handle or external ID to use when utilizing this method.
Whether the price is calculated per the entire order or per item.
POST /v1/merchants/{merchant_id}/shipping-methods HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Content-Type: application/json
Accept: */*
Content-Length: 80
{
"label": "Standard",
"price": 500,
"currency": "USD",
"calculation_type": "PER_ORDER"
}The created fallback shipping method, including its handle.
{
"label": "Standard",
"description": "5-7 business days",
"price": 500,
"currency": "USD",
"handle": "standard",
"calculation_type": "PER_ORDER"
}Last updated
Was this helpful?